package net.sourceforge.chopchophttpclient.standalone;

import java.net.URI;
import java.net.URISyntaxException;
import java.util.List;

import org.kohsuke.args4j.Argument;
import org.kohsuke.args4j.Option;

public class CmdLineOptions {
	
	
	@Argument(required=true,usage="List of URI's to download",metaVar="list of URI's")
	private List<String> uris;
	
	@Option(name="-u",aliases="--username",metaVar="username",required=false,usage="HTTP username for authentication")
	private String httpUsername;
	
	@Option(name="-p",aliases="--password",metaVar="password",required=false,usage="HTTP password for authentication")
	private String httpPassword;
	
	
	public String getHttpUsername() {
		return this.httpUsername;
	}
	
	public String getHttpPassword() {
		return this.httpPassword;
	}
	
	/**
	 * @return Array of passed in URIs
	 * @throws URISyntaxException If any uri was invalid
	 */
	public URI[] getURIs() throws URISyntaxException {
		final URI[] uris = new URI[this.uris.size()];
		
		for(int i = 0; i < this.uris.size(); i++) {
			uris[i] = new URI(this.uris.get(i));
		}
		
		return uris;
	}
}
